# $NetBSD: lighttpd.conf,v 1.1 2021/06/24 02:32:28 triaxx Exp $
#
# Configuration example fragment for www/lighttpd

server.modules += (
    "mod_alias",
    "mod_fastcgi",
)

$HTTP["url"] =~ "^/dotclear" {
    alias.url = ( "/dotclear" => "/usr/pkg/share/dotclear" )
    $HTTP["url"] =~ "^/dotclear/public" {
        alias.url = ( "/dotclear/public" => "/var/db/dotclear/public" )
    }
    fastcgi.server = (
        ".php" =>
        (( "socket" => "/var/run/dotclear.sock",
        )),
    )
}

# Example fragment for virtual hosting
#$HTTP["host"] =~ "^dotclear\.example\.org" {
#    server.document-root = "/usr/pkg/share/dotclear"
#    $HTTP["url"] =~ "^/public" {
#        alias.url = ( "/public" => "/var/db/dotclear/public" )
#    }
#    fastcgi.server = (
#        ".php" =>
#        (( "socket" => "/var/run/dotclear.sock",
#        )),
#    )
#}
